/*
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.1 $  $Date: 2003/01/11 12:40:09 $
 * ---------------------------------------------------------------------------
 */
#ifndef XL_MMAP_H
#define XL_MMAP_H

#include <sys/types.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <phlib/xl_types.h>
#include <phlib/xl_file.h>
#include <phlib/xl_string.h>

int      xl_mapfile_lock  ( const char *, CString *);
int      xl_mapfile_fd    ( int, CString *);
RetValue xl_unmapfile_lock( CString *, int );
int      xl_mapfile       ( const char *, CString *);
int      xl_mapfile_stat  ( const char *, CString *, struct stat ** );
RetValue xl_unmapfile     ( CString * );

#endif
